/* eslint strict:0 */
'use strict';

var _ = require('lodash');
var path = require('path');
var binPath = path.resolve(__dirname, '..', '..', 'node_modules', '.bin');

exports.processEnvWithPath = function () {
  for (var _len = arguments.length, paths = Array(_len), _key = 0; _key < _len; _key++) {
    paths[_key] = arguments[_key];
  }

  var processEnvClone = _.cloneDeep(process.env); // eslint-disable-line
  ['Path', 'PATH'].forEach(function (pathName) {
    if (processEnvClone[pathName]) {
      processEnvClone[pathName] = paths.concat(binPath, processEnvClone[pathName].split(path.delimiter)).join(path.delimiter);
    }
  });
  return processEnvClone;
};
//# sourceMappingURL=C:\Users\Zaggi\AppData\Roaming\Brackets\extensions\user\brackets-npm-registry\dist//node/utils.js.map