define(function (require, exports) {
  'use strict';

  var RegistryDialog = require('./react-components/registry-dialog');
  var Preferences = require('../utils/preferences');
  var $icon = $('<a id="brackets-npm-registry-icon" href="#"></a>');

  exports.init = function () {
    $icon.appendTo('#main-toolbar .buttons').toggleClass('active', Preferences.get('lastToolbarIconState')).on('click', function () {
      return RegistryDialog.show();
    });
  };

  exports.toggle = function (bool) {
    $icon.toggleClass('active', bool);
    Preferences.set('lastToolbarIconState', bool);
  };
});
//# sourceMappingURL=C:\Users\Zaggi\AppData\Roaming\Brackets\extensions\user\brackets-npm-registry\dist//ui/toolbar-icon.js.map