var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

/*eslint no-console:0,no-undefined:0*/

define(function (require, exports, module) {
  'use strict';

  var packageInfo = JSON.parse(require('text!../../package.json'));

  var toString = function toString(obj) {
    if (obj === undefined) {
      return 'undefined';
    }
    if (obj === null) {
      return 'null';
    }
    return obj.toString();
  };

  var stringify = function stringify(arr) {
    return arr.map(function (x) {
      var strValue = toString(x);
      if (strValue === '[object Object]') {
        return JSON.stringify(x, null, 2);
      }
      return strValue;
    }).join(' ');
  };

  var Logger = (function () {
    function Logger() {
      _classCallCheck(this, Logger);

      this.prefix = '[' + packageInfo.name + '] ';
    }

    _createClass(Logger, [{
      key: 'log',
      value: function log() {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        console.log(this.prefix + stringify(args));
      }
    }, {
      key: 'error',
      value: function error() {
        var err = new Error();

        for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
          args[_key2] = arguments[_key2];
        }

        console.error(this.prefix + stringify(args) + '\n' + err.stack);
      }
    }]);

    return Logger;
  })();

  module.exports = new Logger();
});
//# sourceMappingURL=C:\Users\Zaggi\AppData\Roaming\Brackets\extensions\user\brackets-npm-registry\dist//utils/logger.js.map